// Author: fengshengxiong
// Date: 2024/6/13
// Description: App类型（A/B）面

enum AppSideEnum {
  sideA(type: 0),
  sideB(type: 1);

  const AppSideEnum({
    required this.type,
  });

  final int type;
}

extension AppSideEnumExtension on AppSideEnum {
  static AppSideEnum getEnum(int? type) {
    if (type == AppSideEnum.sideA.type) {
      return AppSideEnum.sideA;
    } else {
      return AppSideEnum.sideB;
    }
  }
}